services:
  - docker:20.10.16-dind

stages:
  - build

image_build:
  stage: build
  image: docker:19
  script:
    - docker build --no-cache -t jassouline/commandeslinux:1.2 .
    - docker login -u $USERNAME -p $PASSWORD
    - docker push jassouline/commandeslinux:1.2
    - docker image tag jassouline/commandeslinux:1.2 jassouline/commandeslinux:latest
    - docker push jassouline/commandeslinux:latest